module DtcRake
  module UI
    def error(msg)
      if DtcRake::UI.colorize?
        msg = Rainbow(msg).red
      end
      abort msg
    end
    module_function :error

    def announce(msg)
      if DtcRake::UI.colorize?
        msg = Rainbow(msg).aqua
      end
      puts msg
    end
    module_function :announce

    def success(msg)
      if DtcRake::UI.colorize?
        msg = Rainbow(msg).green
      end
      puts msg
    end
    module_function :success

    def warning(msg)
      if DtcRake::UI.colorize?
        msg = Rainbow(msg).yellow
      end
      puts msg
    end
    module_function :warning

    def info(msg)
      if DtcRake::UI.colorize?
        msg = Rainbow(msg).white
      end
      puts msg
    end
    module_function :info

    def colorize?
      return @colorize if defined? @colorize

      colorize = Config.instance.colorize
      if colorize
        begin
          require "rainbow"
        rescue LoadError
          colorize = false
        end
      end
      @colorize = colorize
    end
    module_function :colorize?
  end
end
