require "rake"
require "fileutils"
require "dtc_rake/config"
require "dtc_rake/product"
require "dtc_rake/ui"
require "dtc_rake/util"

include DtcRake::UI
product = DtcRake::Product.instance

if product.has_vuc
  namespace :build do
    desc "Builds pack with visual use cases"
    task :vuc do
      DtcRake.check_jruby!
      DtcRake.check_bundler!
      announce "Building visual use cases pack"

      FileUtils.cd product.vuc_project do
        system "rake package"
      end

      DtcRake.mv_to_output_dir(product.vuc_project, product.vuc_file_name)
    end
  end
end
