require "rake"
require "fileutils"
require "dtc_rake/config"
require "dtc_rake/product"

product = DtcRake::Product.instance
config  = DtcRake::Config.instance

deps = []
if product.has_gem
  deps << :gem
  deps << :yardoc
end
deps << :cmd         if product.has_cmd
deps << :vuc         if product.has_vuc
deps << :dockerfiles if product.has_dockerfiles
deps << :descriptor  if config.upload_uucloud_descriptor
deps << :readme      if config.upload_readme

namespace :upload do
  desc "Uploads all packs to appbox artifact; requires path to password file"
  task :all => deps
end
